Subject: Re: [PATCH 2/2]: [NET_SCHED]: Making rate table lookups more flexible.

From: Patrick McHardy <[email-masked]>
Date: Sun, 02 Sep 2007 16:35:52 +0200

Jesper Dangaard Brouer wrote:
> 
> On Sat, 1 Sep 2007, Patrick McHardy wrote:
> 
>> Am I guessing right that the intention is to resurrect the ATM patch?
> 
> 
> Yes, you are right.
> Remember, Jamal ACKed the patch, and you redrew your NAK.

Mainly out of frustration/boredom with the discussion, I withdrew
that again later and even Russell agreed that this should be done
differently.

> This is not a ATM/ADSL only patch.  This patch simply adds more
> flexibility to the rate tables.  Afterwards we can start the discussion
> about how to use this new flexibility in tc/iproute2.

I know, but that discussion should happen *before* merging any
changes to the kernel. Its pointless to add functionality that
won't be used afterwards or may need to be done differently.